#confirm {
    background-color: #202934;
    margin-top: 18%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    max-width: 490px;
    padding: 0;
    box-sizing: border-box;
    text-align: center;
    border-radius: 5px;
    border: 0px !important;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
    animation: zoomIn 0.3s;
}

@keyframes zoomIn {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.3);
    }

    100% {
        transform: scale(1);
    }
}

#confirm .rp-no {
    background: #dd3333;
}

#confirm .rp-no:hover {
    background: #dd3333;
    background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
}

#confirm .rp-yes {
    background: #2f8b24;
}

#confirm .rp-yes:hover {
    background: #2f8b24;
    background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
}

#confirm button {
    display: inline-block;
    margin-bottom: 10%;
    font-size: 14px;
    padding: 0.625em 1.1em;
    font-weight: bold;
    color: #fff;
    width: 75px;
    text-align: center;
    height: 42px;
    cursor: pointer;
    border-radius: 0.25em;
    border: 0px !important;
    background: linear-gradient(180deg, #33ccff 0%, #2a93d5 100%);
    color: #ffffff !important;
    border: 1px solid #2a93d5;
}

#confirm button:hover {
    background: #009cff;
}

#confirm .message {
    text-align: center;
    padding-top: 3%;
    padding-bottom: 3%;
    font-size: 14px;
    font-weight: 400;
}

#confirm>div.addMsg {
    padding-bottom: 6%;
    color: #ffffff;
}

#confirm>div.addMsg>ul.info_links {
    display: grid;
    grid-template-columns: 25% 2% 25%;
    margin-bottom: 0;
    font-size: 12px;
    justify-content: center;
    justify-items: center;
    align-content: center;
    align-items: center;
}

#confirm>div.addMsg>ul.info_links>li {
    margin-right: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#confirm>div.addMsg>ul.info_links>li>img {
    margin-right: 0px;
    margin-top: 0px;
    object-fit: contain;
}

#confirm>div.addMsg>ul.info_links>li>span>a {
    color: #ffffff;
    font-size: 15px;
    font-family: "Nanum Gothic" !important;
    font-weight: 400;
}

#confirm>div.addMsg>ul.info_links>li>a {
    color: #ffffff;
    font-size: 15px;
    font-family: "Nanum Gothic" !important;
    font-weight: 400;
}

#confirm .close {
    height: 48px;
    margin-right: 6%;
    background: linear-gradient(180deg, #646464 0%, #303030 100%);
    border: 1px solid #6c757d;
}

#confirm .close:hover {
    background: linear-gradient(180deg, #646464 0%, #303030 100%);
    border: 1px solid #6c757d;
}

/* Center the modal in mobile view */
@media screen and (max-width: 500px) {
    #confirm {
        margin-top: 35vh;
        max-width: 320px;
    }

    #confirm>div.addMsg>ul.info_links {
        grid-template-columns: 40% 2% 40%;
    }
}

.message {
    color: #fff;
    text-align: center;
    margin: 10px;
    font-weight: 600;
}

.icon-warning {
    background-color: #212124;
    height: auto;
    border-top-right-radius: 11px;
    padding: 13px;
    border-bottom: 1px solid #575757;
    width: 90%;
    margin: 0 auto;
    text-align: left;
}

.warning-header {
    color: #fff;
    font-size: 16px;
}

.alert-column {
    background-color: transparent;
    height: 45px;
    border-top-right-radius: 11px;
    padding: 13px;
    border-bottom: 1px solid #575757;
    width: 90%;
    margin: 0 auto;
    text-align: left;
}

.alert-column .alert-header {
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    float: left;
}

.alert-column .alert-close-icon {
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    float: right;
}

#confirm2 {
    background-color: #212124;
    margin-top: 150px;
    border: 1px solid #aaa;
    position: fixed;
    width: 470px;
    height: 280px;
    left: 45%;
    margin-left: -100px;
    padding: 0;
    box-sizing: border-box;
    text-align: center;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 20px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
}

#confirm2 button {
    display: inline-block;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 20px;
    margin-bottom: 6%;
    border: none;
    font-size: 21px;
    padding: 5px;
    font-weight: bold;
    color: #fff;
    text-align: center;
    width: 190px;
    cursor: pointer;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
    background: linear-gradient(180deg, #e8b97f 0%, #d98b2b 100%);
    color: #ffffff !important;
    border: 1px solid #d98b2b;
}

#confirm2 .message2 {
    color: #fff;
    text-align: center;
    margin: 10px;
}

.message2 {
    text-align: center;
}

.icon-check {
    padding-top: 20px;
}

.check-header2 {
    color: #f55c54;
    font-size: 40px;
}

.confirm3 .message3 {
    color: #fff;
    text-align: center;
    margin-bottom: 30px;
}

.message3 {
    text-align: center;
}

.icon-info {
    padding-top: 10%;
}

.info-header {
    color: #f55c54;
    font-size: 40px;
    padding-top: 20px;
}

.close {
    float: right;
    margin: 10px 21px;
    font-size: 30px;
}

/* Customized Delete Message */
#delete {
    background-color: #212124;
    margin-top: 280px;
    width: 490px;
    height: 235px;
    margin: 15% auto 0 auto;
    padding: 0;
    box-sizing: border-box;
    text-align: center;
    border-radius: 0px;
    border: 0px !important;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14) 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
}

#delete .customized-close {
    background: linear-gradient(180deg, #646464 0%, #303030 100%);
    border: 1px solid #6c757d;
}

#delete button {
    display: inline-block;
    font-size: 17px;
    font-weight: bold;
    color: #fff;
    text-align: center;
    cursor: pointer;
    border-radius: 0px;
    border: 0px !important;
    background: linear-gradient(180deg, #e8b97f 0%, #d98b2b 100%);
    border: 1px solid #e1574c;
    padding: 5px 70px;
}

.header-close {
    background-color: #212124;
    height: auto;
    border-top-right-radius: 11px;
    padding: 13px;
    border-bottom: 1px solid #575757;
    width: 90%;
    margin: 0 auto;
    text-align: left;
}

.icon-close {
    color: #fff;
    font-size: 16px;
    margin-left: 412px;
    cursor: pointer;
}

@media screen and (max-width: 500px) {
    #delete {
        margin-top: 35vh;
        max-width: 320px;
    }

    #delete button {
        padding: 3px 35px;
        font-size: 15px;
    }
}

.grid-container {
    padding: 1rem;
}

.grid-container .msg {
    padding: 0 1rem;
    width: 100%;
    text-align: center;
    line-height: normal;
}

.grid-container .title {
    color: #fff;
    text-align: center;
    font-weight: 600;
    font-size: 20px;
    font-family: "Nanum Gothic";
    font-weight: 600;
    margin-bottom: 10px;
}

.grid-container .text {
    color: #fff;
    text-align: center;
    font-weight: 500;
    font-size: 18px;
    margin-bottom: 10px;
}